Page MenuHomeFreeBSD

New port: x11-fonts/iosevka: Slender monospace sans-serif and slab-serif typeface for programming
ClosedPublic

Authored by 0mp on Jan 17 2019, 2:01 PM.

Details

Summary
New port: x11-fonts/iosevka: Slender monospace sans-serif and slab-serif typeface for programming

Iosevka is a slender monospace sans-serif and slab-serif typeface inspired by
Pragmata Pro, M+ and PF DIN Mono, designed to be the ideal font for
programming.

It comes in regular, bold, italic and bold-italic with over 2000 Latin,
Greek, Cyrillic, phonetic and PowerLine glyphs. A IosevkaCC variant is also
provided, with several symbols enwiden, to be compatible with most CJK
typefaces.

WWW: http://typeof.net/Iosevka/

Questions:

  • I am not sure if I should add PKGNAMESUFFIX=-fonts-ttf.
  • I am not sure if the extra font styles should be installed by default or not.
  • I am not sure yet why do I need pkg-plist for files installed if certain options are enabled. USES=fonts seems to take care of the default files automatically.
Test Plan
  • portlint
  • poudriere testport

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Jan 17 2019, 2:01 PM
0mp updated this revision to Diff 52925.Jan 17 2019, 2:03 PM

Fix pkg-plist of the previous upload.

sunpoet added a subscriber: sunpoet.EditedJan 17 2019, 2:50 PM

It'll be great to sort PLIST.

x11-fonts/iosevka/Makefile
75–76 ↗(On Diff #52925)

${INSTALL_DATA} ${WRKSRC}/ttf/*.ttf ${STAGEDIR}${FONTSDIR}

0mp added a comment.Jan 17 2019, 7:07 PM

It'll be great to sort PLIST.

It's sorted alphabetically now character-wise. Would you like to see it sorted by the file names first and then by %% variables?

In D18873#402989, @0mp wrote:

It'll be great to sort PLIST.

It's sorted alphabetically now character-wise. Would you like to see it sorted by the file names first and then by %% variables?

It's better to sort by filename because the options may change.

x11-fonts/iosevka/pkg-descr
10 ↗(On Diff #52925)
mat added a comment.Jan 22 2019, 3:26 PM

The plist should be generated with make makeplist, it is the only tool that consistenly sorts the file.

0mp updated this revision to Diff 53191.Jan 25 2019, 1:28 PM
  • Sort pkg-plist as given by make makeplist.
  • Update WWW.
mat accepted this revision as: mat.Jan 25 2019, 2:11 PM
This revision is now accepted and ready to land.Jan 25 2019, 2:11 PM
This revision was automatically updated to reflect the committed changes.